---
title: "Configuring SMS Connector, Users and Groups"
slug: "configuring-sms-users-and-groups"
updated: 2025-09-12T03:22:32Z
published: 2025-09-12T03:22:32Z
canonical: "kb.connecttoteams.com/configuring-sms-users-and-groups"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://kb.connecttoteams.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configuring SMS Connector, Users and Groups

This guide outlines a specific use case for leveraging the ConnecttoTeams API to configure and deploy the ConnecttoTeams Unified App. While the ConnecttoTeams service is also available in other Teams applications tailored to individual services, those apps are outside the scope of this document.

## Part I: Enable SMS Service to the Enterprise

**If this is a new Enterprise, create the Enterprise:**

Follow the guide in [Creating and Registering an Enterprise with Restricted Access](/v1-api/apidocs/creating-enterprise-with-restricted-access#3-create-the-enterprise), but be sure to pass to the `services` field the value `SMS` instead and include other service the Enterprise will use (for example, `“PBX”,”SMS”`).

**If Enterprise is existing with other services enabled, add the SMS service to the Enterprise:**

Edit the enterprise to add the `SMS` to the `services` attribute.

See the API call details here: [Common API Methods > Edit Enterprise](/v1-api/apidocs/common-api-methods#sync-unified-app).

## Part II: Deploy Unified App to add the SMS Connetor

1. ### **Sync Unified App**

See the API call details here: [Common API Methods > Sync Unified App](/v1-api/apidocs/common-api-methods#sync-unified-app).

You may also opt to execute this after configuring the SMS Users and SMS Groups as discussed in the next section.

## Part III: Configure SMS Users and SMS Groups

### Before You Begin

Before assigning phone numbers to SMS Users and SMS Groups, the phone numbers must be:

- Assigned to the Enterprise. In other words, the phone numbers must be listed in the **Enterprise > Phone Numbers** page.
- Configure with SMS Carrier Profiles assigned to carrier. In other words, at the **Reseller > Phone Numbers** page, the numbers must be managed with the SMS Carrier Profile having the right credentials for these numbers.

1. ### **Get SMS Numbers under Enterprise**

**API Endpoint**

Method: `POST`

Path: `/sms/getEnterpriseSMSConfig/{enterpriseId}`

**Required Fields**

`enterpriseId`

**Sample cURL Request**

```json
curl --location --request POST 'https://api.connecttoteams.com/sms/getEnterpriseSMSConfig/{enterpriseId}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Cookie: JSESSIONID=C3D94E7027631CE7F1C78F634A39B094'
```

**API Response**

Upon a successful request, the API returns

```json
{
    "enterpriseId": 78,
    "enabled": true,
    "dids": [
        {
            "id": 123,
            "did": "1234567895",
            "assigned": true,
            "connected": true
        },
        {
            "id": 456,
            "did": "1234567893",
            "assigned": true,
            "connected": true
        },
        {
            "id": 489,
            "did": "1234567892",
            "assigned": false,
            "connected": true
        }
    ],
    "appSynced": false,
    "templatesEnabled": true
}
```

1. ### **Configure SMS User**
  1. #### Enable SMS for User

**API Endpoint**

Method: `POST`

Path: `/sms/enableSMSServiceForUser`

**Request Body**

```json
{
  "updatedBy": 12345,
  "userId": "user@example.com",
  "email": "user@example.com",
  "enterpriseId": 67890,
  "enable": true,
  "useCallingPhoneNumber": false,
  "callingPhoneNumber": 0,
  "userType": "BU",
  "userTag": "optional-tag"
}
```

**Required Fields**

`enterpriseId`

`userId`

**Sample cURL Request**

```json
curl --location --request POST 'https://api.connecttoteams.com/sms/enableSMSServiceForUser' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Cookie: JSESSIONID=7667909CB8748C9B1A1DDAE76C028A2E' \
--data-raw '{
  "updatedBy": 12345,
  "userId": "user@example.com",
  "email": "user@example.com",
  "enterpriseId": 123,
  "enable": true,
  "useCallingPhoneNumber": false,
  "callingPhoneNumber": 0,
  "userType": "BU",
  "userTag": "optional-tag"
}'
```

**API Response**

Upon a successful request, the API returns.

```json
200 OK
```

###
  2. #### Assign Phone Numbers to SMS User

**API Endpoint**

Method: `POST`

Path: `/sms/addSMSDidsForUser`

**Request Body**

```json
{
  "updatedBy": 12345,
  "enterpriseId": 67890,
  "userId": "user@example.com",
  "assigned": true,
  "smsDID": [
    "125",
    "122"
  ]
}
```

**Required Fields**

`enterpriseId`

`userId`

`smsDID` array - The ids of the `/sms/getEnterpriseSMSConfig/{enterpriseId}` discussed in Step 1 above.

**Sample cURL Request**

```json
curl --location --request POST 'https://api.connecttoteams.com/sms/addSMSDidsForUser' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--header 'Cookie: JSESSIONID=7667909CB8748C9B1A1DDAE76C028A2E' \
--data-raw '{
  "updatedBy": 12345,
  "enterpriseId": 123,
  "userId": "user@example.com",
  "assigned": true,
  "smsDID": [
    "1261"
  ]
}'
```

**API Response**

Upon a successful request, the API returns

```json
200 OK
```

1. ### **Configure SMS Group**
  1. #### **Create SMS Group**

**API Endpoint**

Method: `POST`

Path: `/sms/createSMSGroup`

**Request Body**

```json
{
  "groupId": -1,
  "groupRef": null,
  "groupName": "groupName",
  "groupOwner": "owner@example.com",
  "enterpriseId": 67890,
  "enable": true,
  "deleteGroup": false,
  "groupNameOld": null
}
```

**Required Fields**

`enterpriseId`

`userId`

**Sample cURL Request**

```json
curl --location --request POST 'https://api.connecttoteams.com/sms/createSMSGroup' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--header 'Cookie: JSESSIONID=7667909CB8748C9B1A1DDAE76C028A2E' \
--data-raw '{
  "groupId": -1,
  "groupRef": null,
  "groupName": "Sales Group",
  "groupOwner": "john.smith@democompany.com",
  "enterpriseId": 78,
  "enable": true,
  "deleteGroup": false,
  "groupNameOld": null
}'
```

**API Response**

Upon a successful request, the API returns:

```json
{
    "groupId": 191,
    "groupRef": null,
    "groupName": "Sales Group",
    "groupOwner": "john.smith@democompany.com",
    "enterpriseId": 78,
    "enterpriseRef": null,
    "app_sync": true,
    "enable": true,
    "dids": null,
    "members": null
}
```

###
  2. #### **Assign Phone Numbers to SMS Group**

**API Endpoint**

Method: `POST`

Path: `/sms/assignSMSDidsForGroup`

**Request Body**

```json
{
  "assigned": true,
  "updatedBy": -1,
  "enterpriseId": 67890,
  "groupId": 54321,
  "groupRef": null,
  "groupName": "Sales Team Group",
  "groupOwner": "owner@example.com",
  "enterpriseRef": null,
  "smsDID": [
    "123",
    "124"
  ]
}
```

**Required Fields**

`enterpriseId`

`groupId`

`smsDID` array - The ids of the `/sms/getEnterpriseSMSConfig/{enterpriseId}` discussed in Step 1 above.

**Sample cURL Request**

```json
curl --location --request POST 'https://api.connecttoteams.com/sms/assignSMSDidsForGroup' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--header 'Cookie: JSESSIONID=7667909CB8748C9B1A1DDAE76C028A2E' \
--data-raw '{
  "assigned": true,
  "updatedBy": -1,
  "enterpriseId": 78,
  "groupId": 192,
  "groupRef": null,
  "groupName": "myTestGroup1",
  "groupOwner": "john.smith@example.com",
  "enterpriseRef": null,
  "smsDID": [
    "1262",
    "1263"
  ]
}'
```

**Required Fields**

`enterpriseId`

`groupId`

`smsDID` List (Phone Number ID)

**Sample cURL Request**

```json
curl --location --request POST 'https://api.connecttoteams.com/sms/assignSMSDidsForGroup' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--header 'Cookie: JSESSIONID=7667909CB8748C9B1A1DDAE76C028A2E' \
--data-raw '{
  "assigned": true,
  "updatedBy": -1,
  "enterpriseId": 78,
  "groupId": 192,
  "groupRef": null,
  "groupName": null,
  "groupOwner": null,
  "enterpriseRef": null,
  "smsDID": [
    "1262",
    "1263"
  ]
}'
```

**API Response**

Upon a successful request, the API returns

```json
200 OK
```
  3. #### **Add Members to SMS Group**

**API Endpoint**

Method: `POST`

Path: `/sms/addSMSMembersForGroup`

**Request Body**

```json
{
  "groupId": 54321,
  "enterpriseId": 67890,
  "smsMembers": [
    "user1@example.com",
    "user2@example.com",
    "user3@example.com"
  ]
}
```

**Required Fields**

`enterpriseId`

`smsMembers`

`groupId`

**Sample cURL Request**

```json
curl --location --request POST 'https://api.connecttoteams.com/sms/addSMSMembersForGroup' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--header 'Cookie: JSESSIONID=7667909CB8748C9B1A1DDAE76C028A2E' \
--data-raw '{
  "groupId": 444192,
  "enterpriseId": 744448,
  "smsMembers": [
    "user1@example.com",
    "user2@example.com"
  ]
}'
```

**API Response**

Upon a successful request, the API returns

```json
200 OK
```
2. ### **Sync Unified App**

See the API call details here: [Common API Methods > Sync Unified App](/v1-api/apidocs/common-api-methods#sync-unified-app).

> [!NOTE]
> Note
> 
> For every change in SMS phone number assignment and updating members of the SMS group, the changes must be pushed to Teams by calling the [Sync Unified App](/v1-api/apidocs/common-api-methods#sync-unified-app) method.
